<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-staff-heading">Create or edit a Staff</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_firstName">First Name</label>
                    <input type="text" class="form-control" name="firstName" id="field_firstName"
                           formControlName="firstName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_lastName">Last Name</label>
                    <input type="text" class="form-control" name="lastName" id="field_lastName"
                           formControlName="lastName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_password">Password</label>
                    <input type="text" class="form-control" name="password" id="field_password"
                           formControlName="password"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="ACTIVE">ACTIVE</option>
                        <option value="PENDING">PENDING</option>
                        <option value="INACTIVE">INACTIVE</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_loginType">Login Type</label>
                    <select class="form-control" name="loginType" formControlName="loginType" id="field_loginType">
                        <option value="PASSWORD">PASSWORD</option>
                        <option value="LDAP">LDAP</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_team">Team</label>
                    <select class="form-control" id="field_team" name="team" formControlName="team">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="teamOption.id === editForm.get('team')!.value?.id ? editForm.get('team')!.value : teamOption" *ngFor="let teamOption of teams; trackBy: trackById">{{ teamOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
